Name:		iwhd
Version:	1.6
Release:	13%{?dist}
Summary:	Image WareHouse Daemon

Group:		System Environment/Libraries
License:	GPLv3

URL:		http://git.fedorahosted.org/git/?p=iwhd.git
# build requirement mongodb is available on little-endian machines only
ExcludeArch: ppc ppc64 s390 s390x

Source0: http://people.redhat.com/zaitcev/ftp/iwhd/%{name}-%{version}.tar.xz

Patch1:	iwhd-1.6-f20.patch
Patch2:	iwhd-1.6-f22.patch

BuildRequires: boost-devel
BuildRequires: boost-filesystem
BuildRequires: gc-devel
BuildRequires: hail-devel
BuildRequires: jansson-devel
BuildRequires: libcurl-devel
BuildRequires: libmicrohttpd-devel
BuildRequires: libxml2-devel
BuildRequires: libuuid-devel
BuildRequires: liboauth-devel
BuildRequires: mongo-cxx-driver-devel
BuildRequires: bison
BuildRequires: flex
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: help2man

BuildRequires: systemd

# mongodb-server is required at build time so make check succeeds
BuildRequires: mongodb-server

Provides: bundled(gnulib)

%description
The image-warehouse daemon for Aeolus

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}

# This used to fail in F20. Could work in F22 but is performance sensitive now:
# some tests fail randomly on slower boxes and VMs.
#check
#make %{?_smp_mflags} check VERBOSE=yes

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS
%{_bindir}/iwhd
%{_bindir}/dc-rhev-image
%{_bindir}/dc-vmware-image
%{_mandir}/man8/iwhd.8*
%config(noreplace)	%{_sysconfdir}/iwhd/conf.js
%config(noreplace)	%{_sysconfdir}/iwhd/users.js
%config(noreplace)	%{_sysconfdir}/logrotate.d/iwhd
%config(noreplace)	%{_sysconfdir}/sysconfig/iwhd
%{_localstatedir}/lib/iwhd
%{_unitdir}/iwhd.service

%changelog
* Wed Jan 28 2015 Petr Machata <pmachata@redhat.com> - 1.6-13
- Rebuild for boost 1.57.0

* Tue Aug 26 2014 Pete Zaitcev <zaitcev@redhat.com> - 1.6-12
- Rebuilding with the new Mongo client mongo-cxx-driver

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 1.6-9
- Rebuild for boost 1.55.0

* Fri May 23 2014 David Tardon <dtardon@redhat.com> - 1.6-8
- rebuild for boost 1.55.0

* Thu Oct 03 2013 Pete Zaitcev <zaitcev@redhat.com> - 1.6-7
- Add iwhd-1.6-f20.patch to deal with some mysterious GC vs MHD issue
- Disable build-time check -- hopefuly temporarily

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jul 28 2013 Petr Machata <pmachata@redhat.com> - 1.6-5
- Rebuild for boost 1.54.0

* Tue Mar 26 2013 Pete Zaitcev <zaitcev@redhat.com> - 1.6-4
- Replace BuildRequires: systemd-units with systemd for F20
- Make myself the upstream now that we lost Jim's directory

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.6-3
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.6-2
- Rebuild for Boost-1.53.0

* Tue Aug 21 2012 Pete Zaitcev <zaitcev@redhat.com> - 1.6-1
- Rebuild for new Boost in Rawhide
- Upstream 1.6 to compensate for Rawhide: same as 1.5 with newer gnulib

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 15 2012 Jim Meyering <meyering@redhat.com> - 1.5-2
- Add bundled(gnulib) provides, per
  http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries

* Sat Mar 10 2012 Jim Meyering <meyering@redhat.com> - 1.5-1
- Upstream 1.5

* Tue Mar  6 2012 Jim Meyering <meyering@redhat.com> - 1.4-1
- use just-released upstream iwhd-1.4
- also add systemd-f16-vs-f17.patch

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec  1 2011 Jim Meyering <meyering@redhat.com> - 1.1-1
- new release

* Mon Nov 21 2011 Pete Zaitcev <zaitcev@redhat.com> - 1.0-2
- Re-enable build-time check. The 1.0 ought to fix the issue.

* Mon Oct 31 2011 Jim Meyering <meyering@redhat.com> - 1.0-1
- new release

* Thu Oct 20 2011 Jim Meyering <meyering@redhat.com> - 0.991-1
- new release

* Thu Oct 13 2011 Jim Meyering <meyering@redhat.com> - 0.990-1
- new release

* Thu Jul 21 2011 Chris Lalancette <clalance@redhat.com> - 0.96-4
- Rebuild for boost ABI change

* Mon Jul 18 2011 Karsten Hopp <karsten@redhat.com> - 0.96-3
- ExcludeArch big-endian machines, mongodb is not available there

* Tue Jul 12 2011 Chris Lalancette <clalance@redhat.com> - 0.96-2
- Add patch from iwhd development to build against jansson 2.0
- Disable make check until we fix the bug causing it to fail

* Wed Jun 29 2011 Jim Meyering <meyering@redhat.com> - 0.96.1.9e86
- see git logs for details
